package com.yeejoin.amos.boot.module.ugp.api.Enum;

import java.util.HashMap;
import java.util.Map;

public enum ProjectResourceEnum {
    焊工资源("焊工","welder"),
    设备资源("设备","equipment"),
    管材资源("管材","material");

    private String status;



    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    ProjectResourceEnum(String status, String state) {
        this.status = status;
        this.state = state;
    }

    private String state;

    public static final Map<String,String> map=new HashMap<>();
    static {
        for (ProjectResourceEnum projectResourceEnum:ProjectResourceEnum.values()){
            map.put(projectResourceEnum.status, projectResourceEnum.state);
        }
    }




}
